"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parse = void 0;
var config_1 = require("./config");
var dom = require("./dom");
var override_1 = require("./override");
var react_1 = require("./react");
function parse(html, userOptions) {
    if (typeof html !== 'string') {
        return [html];
    }
    var options = (0, config_1.getConfig)(userOptions);
    var document = dom.parse(html, options);
    if (options.overrides) {
        (0, override_1.override)(document, options.overrides);
    }
    return (0, react_1.render)(document.childNodes, options);
}
exports.parse = parse;
//# sourceMappingURL=index.js.map